ServerEvents.recipes(function(e) {
    // torcherino is OP, with the 81 torches torch being able to >300x tick accel a 9x3x9 area (high potential for lag too)
    // you probably dont need these!!! (use Entity Speed Ticker) but if you must... the path wont be easy
    e.remove({
        output: 'torcherino:torcherino'
    });
    e.shaped(
        Item.of('torcherino:torcherino', 1),
        [
            "ABA",
            "CDC",
            "ABA"
        ], {
            A: "ape:encased_dragonsteel_ingot",
            B: "allthemodium:unobtainium_block",
            C: "mysticalagradditions:withering_soul",
            D: "projecttimemaster:time_watch_mk8"
        }
    );

    // giving the Entity Speed Ticker a balanced recipe
    e.shaped(
        Item.of('extendedae_plus:entity_speed_ticker', 1),
        [
            "ABA",
            "CDC",
            "ABA"
        ], {
            A: "allthemodium:unobtainium_ingot",
            B: "expandedae:exp_crafting_accelerator_1k",
            C: "advanced_ae:quantum_accelerator",
            D: "composite_material:echoium_block"
        }
    );
    
    // making AllTheImbaium things harder because this mod is OP, has things like fluid duping and resource generation
    e.remove({
        output: 'alltheimbaium:package_material_x1'
    });
    e.shaped(
        Item.of('alltheimbaium:package_material_x1', 1),
        [
            "CDC",
            "AEB",
            "CDC"
        ], {
            A: "reliquary:fertile_essence",
            B: "#forge:nether_stars",
            C: "bedrockcrafter:compact_obsidian",
            D: "#minecraft:logs",
            E: "#forge:gears/diamond"
        }
    );
});